jQuery(function($){
	
	$("#idCapa_feedback").rup_feedback({
		gotoTop: true,
		block: false,
		closeLink: true
	});
	
	//poner value del input cero a vacio
	 var idSexo=  $("#idSexo").val();
	 if(undefined == idSexo){
		 $("#idSexo").val(0);
	 }
	var idTipoTercero = $("#idTipoTercero").val();
	if (idTipoTercero == 6) {
		cambiarObligatorios();
	}
	
	if(idTipoTercero == 2) {
		$("#labelNombre").addClass("required");
		$("#nombre").attr("required", "required");
		$("#labelApellido1").addClass("required");
		$("#apellido1").attr("required", "required");
		$("#labelTelefono").addClass("required");
		$("#telefono").attr("required", "required");
		$("#labelEmail").addClass("required");
		$("#email").attr("required", "required");
		$("#labelSexo").addClass("required");
		$("#comboSexo").attr("required", "required");
	}

	if (idTipoTercero == 2 || idTipoTercero == 6){
		if($("#idTipoDocumento").val() != "2"){
			$("#comboSexo").rup_combo({
				blank: "",
				source: "/ab79WebAppWar/sexos/verValorCombo",
				sourceParam: {
				    label: (("eu"==$.rup_utils.get("language")) ? "descripcionEuskera": "descripcionCastellano"),
					value: "idSexo"
				},
				onLoadSuccess: function() {
					var sexo = $(".sexo").val();
					$("#comboSexo").rup_combo("setRupValue", sexo);
				},
				select: function() {
					var sexo = $("#comboSexo").val();
					$(".sexo").val(sexo);
				}
			});
		}
		
	}

	$("#formDatosSolicitante").rup_form({
		feedback: $("#idCapa_feedback"),
		url:"/ab79WebAppWar/datosterceros/save",
		type : "POST",
		dataType : 'json',
		contentType: "application/json",
		success:function(){
			$("#idCapa_feedback").rup_feedback("set",$.rup.i18n.app.mensajes.datos_guardados_OK, "ok");
			bloquearInterfaz();
			window.parent.accederMenu('relexpter');
		},
		error : function(){
			$("#idCapa_feedback").rup_feedback("set",$.rup.i18n.app.mensajes.datos_guardados_error, "error");
			//bloquearInterfaz();
			//window.parent.accederMenu('relexpter');
		},
		validate:{
			rules:{
				"tipoDocumento.idTipoDocumento":{required:true},
				"documento":{required:true},
				"nombre":{required:true}
				}
			}	
	});
  
  $("#btnSaveDatosSolicitante").click(function(){

	  if ($("#documento").val() != null && $("#tipoDocumento").val() != null) {
		  var numeroIdentificativo = validarDocumento($("#documento").val(),$("#tipoDocumento").val())
	  } else {
		  numeroIdentificativo = true;
	  }

	  if (numeroIdentificativo) {			
			$("#formDatosSolicitante").submit();
		}else{
			if (!numeroIdentificativo) {
				$("#idCapa_feedback").rup_feedback("set",$.rup.i18n.app.validaciones.participantes.numero, "error");
			}
		}
  });	

  if ( (idTipoTercero == 6)  || idTipoTercero == 1 || idTipoTercero == 3){

	  $("#tipoDocumento").rup_combo({
			blank:"",
			source : "/ab79WebAppWar/tiposdocumento/verValorCombo",
			sourceParam : {
				label : (("eu" == $.rup_utils.get("language")) ? "descripcionEuskera"
						: "descripcionCastellano"),
				value : "idTipoDocumento"
			},
			width : 200,
			onLoadSuccess: function(){
				$("#tipoDocumento").rup_combo("setRupValue",$("#idTipoDocumento").val());
				if(idTipoTercero != 6){
					$("#tipoDocumento").rup_combo("disable");
				}
			},
			select:function() {
				if(idTipoTercero != 6){
					$("#documento").val("");
					$("#nombre").val("");
					$("#apellido1").val("");
					$("#apellido2").val("");
					if($("#tipoDocumento").val() != "2"){
						$("#comboSexo").rup_combo("clear");
					}
					cambiarObligatorios();
				}
			}
		});
  }
  
});

function cambiarObligatorios() {
	$("#documento").removeAttr("readonly");
	$("#labelTipoDocumento").addClass("required");
	$("#labelDocumento").addClass("required");
	$("#labelNombre").addClass("required");
	
	var apellido1 = $("#apellido1");
	var apellido2 = $("#apellido2");
	var sexo = $("#comboSexo");
	switch($("#idTipoDocumento").val()) {
		case "1":
			//DNI
			$("#labelApellido1").addClass("required");
			apellido1.attr("required","required");
			$("#apellido1Div").show();
			$("#labelApellido2").addClass("required");
			apellido2.attr("required","required");
			$("#apellido2Div").show();
			$("#labelSexo").addClass("required");
			sexo.attr("required","required");
			$("#sexoDiv").show();
			break;
		case "2":
			//CIF
			apellido1.removeAttr("required");
			$("#apellido1Div").hide();
			apellido2.removeAttr("required");
			$("#apellido2Div").hide();
			sexo.removeAttr("required");
			$("#sexoDiv").hide();
			break;
		case "3": case "4": case "5":
			//NIE PASAPORTE OTROS
			$("#labelApellido1").removeClass("required");
			apellido1.removeAttr("required");
			$("#apellido1Div").show();
			$("#labelApellido2").removeClass("required");
			apellido2.removeAttr("required");
			$("#apellido2Div").show();
			$("#labelSexo").addClass("required");
			sexo.attr("required","required");
			$("#sexoDiv").show();
			break;
		default:
			break;
	}
}

